#!/usr/bin/perl -T
# $Id: about.cgi,v 1.5 2017/05/30 06:28:45 sqko Exp $
############################################################
############################################################
###                                                      ###
###   Originally designed by Soeren Koch                 ###
###                                                      ###
###   Impelemented by Soeren Koch                        ###
###                                                      ###
###   Copyright by Soeren Koch January 2005              ###
###                                                      ###
############################################################
############################################################

use strict;
use warnings;
use RFC::Main;
use RFC::RFCCGI qw(:cgi :html);
use RFC::Header;
use CGI qw(:standard :netscape);

if (!defined(param))
{
    &print_header("Please log in to the $name");
    print '<center>';
    &RFC::RFCCGIlogin;
    print '</center>';
    &print_end;
}
else
{
    #### husk at aendre accessparameter til det relevante for scriptet!! ####
    if (&login_ok())
    { 
	print_header("About the $name software");
	print RFC_start_html(-title=>"About the $name software", -style=>{src=>'/celltest/RFCcontrol.css'});
	&top_nav_bar_start;
	&top_no_button;
	&top_no_button;
	&top_no_button;
	&tab_newrow;
	&js_back();
	&top_js_return('#006600','white');
	&top_no_button;
	&top_no_button;
	&top_no_button;
	&top_nav_bar_button('main.cgi','','','To menu','s4');
	&end_top_bar;
	&insert_data_form;
	print_end;
    }
    else 
    {
	&not_auth;
    }
}
    
exit;



sub insert_data_form
{
    my $version = $RFC::Header::VERSION;
    my $prog = '/usr/local/bin/celltest/celltest-passwd-server';
    my $cmd = $prog.' --version';
    my $passversion = '';
    if (-e $prog)
    {
	my $res = `$cmd`; 
	$res =~ /\:\s+([\.\d]+)/;
	$passversion = $1+0;
    }
    print '<table border=0 class="a-slurry_table">';
    print '<tr height=1>';
    print '<td width="15%"></td>';
    print '<td width="20%"></td>';
    print '<td width="30%"></td>';
    print '<td width="20%"></td>';
    print '<td width="15%"></td>';
    print '</tr>';
    print '<tr><td height=20></td></tr>';
    print '<tr><td></td><td colspan="3" class=heading style="color:black;">';
    print "The $RFC::Header::COPYRIGHT Fuel Cell test and controll software was originally designed by $RFC::Header::DESIGNERS";
    print '</td></tr>';
    print '<tr><td height=30></td></tr>';
    print '<tr><td></td><td colspan="3" class=heading style="color:black;">';
    print 'The Software is written in Perl&copy;. The graphics created by this software are created using Gnuplot&copy;';
    print '</td></tr>';
    print '<tr><td height=10></td></tr>';
    print '<tr><td></td><td colspan="3" class=heading style="color:black;">';
    print 'Initial coding was performed by ',$RFC::Header::IMPLEMENTERS;
    print '</td></tr>';
    print '<tr><td height=30></td></tr>';
    print '<tr><td></td><th colspan="3" align=left>';
    print "Current version of RFCcontrol is: $version";
    print '</th></tr>';
    print '<tr><td></td><th colspan="3" align=left>';
    print "Current version of the GUI user management software is: $passversion";
    print '</th></tr>';
    print '<tr><td height=30></td></tr>';
    print '<tr><td></td><th colspan="3" align=left>';
    print "The software was tested by $RFC::Header::TESTERS";
    print '</th></tr>';
    print '</table>';
}    

